Records
Get one record
GET
header
AuthorizationBearer <token>Your space key (om_...). Create one with POST /v1/spaces.
collection*stringCollection name, e.g. commitments, goals, routines.
Match
^[A-Za-z0-9][A-Za-z0-9_.-]*$Length
1 <= length <= 64id*stringLength
1 <= length <= 64The record
application/json- response
id*stringcollection*stringkey*string|nullstatus*stringdue_at*string|nulldata*origin*OriginValue in
"user""agent""dream"version*integercreated_at*stringupdated_at*stringcurl -X GET 'https://api.openmemory.sh/v1/collections/string/records/string'Example Response
{ "id": "string", "collection": "string", "key": "string", "status": "string", "due_at": "string", "data": { "property1": null, "property2": null }, "origin": "user", "version": 0, "created_at": "string", "updated_at": "string"}